/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tudarmstadt.maki.simonstrator.api.component.sensor;

/**
 * All WSN Sensors should implement this interface. Just a flag, but necessary
 * to differentiate WSN Sensors from other sensor Components like path finder
 * etc... WSN sensors are sensors whose data are intended to be sent via
 * wireless communication medium like wifi, lora, ...
 * 
 * @author Lukas Wehrstein
 *
 */
public interface WSNSensorComponent extends SensorComponent {
	/**
	 * Just a marker
	 * 
	 * @return always true for WSNSensorComponent
	 */
	public default boolean isWSNSensor() {
		return true;
	}
}
